coreEngine.Calibration.Profiles

## Class FloatProfile

- java.lang.Object
- - coreEngine.Calibration.Profile
  - - coreEngine.Calibration.Profiles.FloatProfile

-     public class FloatProfile
      extends Profile

  Author:
    jtrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float[]` | `profile`

    - ### Fields inherited from class coreEngine.Calibration.Profile

      `afType, alg, confPct, numPeriod, seg, TYPE_DAF, TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Profile[]` | `crossover(Profile mate)`
    `float` | `getAF(int period)`
    `java.lang.String` | `getBinaryAF(int period)`
    `Profile` | `getDeepCopy()`
    `int` | `getNumPeriods()`
    `void` | `mutate()`
    `void` | `setAF(float val, int period)`
    `void` | `setAF(int val, int period)`
    `void` | `setAF(java.lang.String val, int period)`
    `void` | `setAFArray(double[] newArray)`

    - ### Methods inherited from class coreEngine.Calibration.Profile

      `getAFLowerRange, getAFUpperRange, setConfidencePct`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### profile

          public final float[] profile

  - ### Constructor Detail

    - #### FloatProfile

          public FloatProfile(GeneticAlgorithm alg,
                              int afType,
                              int seg,
                              int numPeriod)

  - ### Method Detail

    - #### getNumPeriods

          public int getNumPeriods()

      Overrides:
        `getNumPeriods` in class `Profile`

    - #### getAF

          public float getAF(int period)

      Specified by:
        `getAF` in class `Profile`

    - #### getBinaryAF

          public java.lang.String getBinaryAF(int period)

      Specified by:
        `getBinaryAF` in class `Profile`

    - #### setAF

          public void setAF(float val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(java.lang.String val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(int val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAFArray

          public void setAFArray(double[] newArray)

    - #### getDeepCopy

          public Profile getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Profile`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Profile`

    - #### crossover

          public Profile[] crossover(Profile mate)

      Specified by:
        `crossover` in class `Profile`